#language: ru

@MovingProductsRLS

Функционал: 000. MovingProductsRLS. Установка функциональных опций

Сценарий: 000.1. MovingProductsRLS. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "17.MovingProductsRLS"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.000. РЛС Перемещения товаров"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. MovingProductsRLS. Установка функциональных опций

	И Я читаю лицензию "Заказы.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Да"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. MovingProductsRLS. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение НСИ транспортной логистики
		И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
		И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	* Создание заданий на доставку РЛС
		И Я создаю группу доступа "Создание заданий на доставку РЛС" с профилем "Создание заданий на доставку"
		И Я создаю пользователя "Создание заданий на доставку РЛС" с профилями "Базовый профиль;Создание заданий на доставку РЛС"
	* Создание заказов на перемещение РЛС
		И Я создаю группу доступа "Создание заказов на перемещение РЛС" с профилем "Создание заказов на перемещение"
		И Я создаю пользователя "Создание заказов на перемещение РЛС" с профилями "Базовый профиль;Создание заказов на перемещение РЛС"
	* Создание планов отгрузки РЛС - для перемещений
		И Я создаю группу доступа "Создание планов отгрузки РЛС - для перемещений" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки РЛС - для перемещений" с профилями "Базовый профиль;Создание планов отгрузки РЛС - для перемещений"
	* Формирование накладных РЛС - перемещения
		И Я создаю группу доступа "Формирование накладных РЛС - перемещения" с профилем "Формирование накладных на неавтоматизированных складах"
		И Я создаю пользователя "Формирование накладных РЛС - перемещения" с профилями "Базовый профиль;Формирование накладных РЛС - перемещения"